#include<bits/stdc++.h>
using namespace std;
int main(){
	int n;
	string s;
	cin>>n;
	cin>>s;
	int a[n];
	for(int i=0;i<n;i++)a[i]=s[i]-'A';
	int b[26];
	for(int i=0;i<26;i++)b[i]=0;
	int cons=pow(10,9)+7;
	for(int i=0;i<n;i++){
		if(a[i]==0){
			b[0]++;
			b[i]/=cons;
		}
		else{
			b[i]=b[i]+b[i-1];
			b[i]/=cons;
		}
	}
	cout<<b[25];
}